Update decision category
curl --request PATCH \
--url https://staging.api.us.aptlydone.com/settings/v1/decision-categories/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sectionId": "3a0501b0-93a1-4437-8043-768be2e6c709",
"categoryName": "Finance",
"isDeleted": false
}
'import requests
url = "https://staging.api.us.aptlydone.com/settings/v1/decision-categories/{id}"
payload = {
"sectionId": "3a0501b0-93a1-4437-8043-768be2e6c709",
"categoryName": "Finance",
"isDeleted": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sectionId: '3a0501b0-93a1-4437-8043-768be2e6c709',
categoryName: 'Finance',
isDeleted: false
})
};
fetch('https://staging.api.us.aptlydone.com/settings/v1/decision-categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:20.711Z",
"message": "Success",
"data": {
"id": "de65c726-e7c2-4414-a663-73481cce67bd",
"tenantId": "6fe602ae-4f92-41e4-83f4-1f187cb6307e",
"categoryName": "Finance",
"isDeleted": false,
"section": {
"id": "895f39c5-0896-48a5-bc8d-b8884b15eb42",
"tenantId": "a647dc83-a274-40ba-aea1-e3117bda5137",
"sectionName": "Finance Department",
"isDeleted": false
},
"createdAt": "2024-01-15T12:00:00Z",
"sectionId": "e0ad86e3-662d-4423-8d04-fff24464c1a8"
}
}Decisions
Update decision category
PATCH
/
v1
/
decision-categories
/
{id}
Update decision category
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
Decision category updated successfully
Was this page helpful?
āI